Bug 708584 - SELinux is preventing /usr/libexec/colord from 'getattr' accesses on the blk_file /dev/sr0.
Summary: SELinux is preventing /usr/libexec/colord from 'getattr' accesses on the blk_...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 15
Hardware: i386
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:235ce939d8d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-28 07:11 UTC by vikram goyal
Modified: 2011-06-24 03:54 UTC (History)
3 users (show)

Fixed In Version: selinux-policy-3.9.16-30.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-24 03:54:01 UTC


Attachments (Terms of Use)

Description vikram goyal 2011-05-28 07:11:52 UTC
SELinux is preventing /usr/libexec/colord from 'getattr' accesses on the blk_file /dev/sr0.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that colord should be allowed getattr access on the sr0 blk_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep colord /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:colord_t:s0-s0:c0.c1023
Target Context                system_u:object_r:removable_device_t:s0
Target Objects                /dev/sr0 [ blk_file ]
Source                        colord
Source Path                   /usr/libexec/colord
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           colord-0.1.7-1.fc15
Target RPM Packages           
Policy RPM                    selinux-policy-3.9.16-24.fc15
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 2.6.38.6-27.fc15.i686.PAE
                              #1 SMP Sun May 15 17:39:47 UTC 2011 i686 i686
Alert Count                   1
First Seen                    Sat 28 May 2011 12:35:57 PM IST
Last Seen                     Sat 28 May 2011 12:35:57 PM IST
Local ID                      bf6bd541-7970-4653-b57b-e3bbdda8fc45

Raw Audit Messages
type=AVC msg=audit(1306566357.746:82): avc:  denied  { getattr } for  pid=7915 comm="colord" path="/dev/sr0" dev=devtmpfs ino=7472 scontext=system_u:system_r:colord_t:s0-s0:c0.c1023 tcontext=system_u:object_r:removable_device_t:s0 tclass=blk_file


type=SYSCALL msg=audit(1306566357.746:82): arch=i386 syscall=stat64 success=yes exit=0 a0=8375e40 a1=bfd6f8f0 a2=4c2f6ff4 a3=8375e08 items=0 ppid=1 pid=7915 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=colord exe=/usr/libexec/colord subj=system_u:system_r:colord_t:s0-s0:c0.c1023 key=(null)

Hash: colord,colord_t,removable_device_t,blk_file,getattr

audit2allow

#============= colord_t ==============
allow colord_t removable_device_t:blk_file getattr;

audit2allow -R

#============= colord_t ==============
allow colord_t removable_device_t:blk_file getattr;

Comment 2 Miroslav Grepl 2011-05-30 07:34:45 UTC
I think it needs "getattr" only.

Fixed in selinux-policy-3.9.16-27.fc15

Comment 3 Fedora Update System 2011-06-10 10:49:37 UTC
selinux-policy-3.9.16-29.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-29.fc15

Comment 4 Fedora Update System 2011-06-11 04:28:57 UTC
Package selinux-policy-3.9.16-29.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.9.16-29.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-29.fc15
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-06-21 17:30:37 UTC
Package selinux-policy-3.9.16-30.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.9.16-30.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-30.fc15
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-06-24 03:52:24 UTC
selinux-policy-3.9.16-30.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.